Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.crypto.params
Class MLDSAPrivateKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.crypto.params.MLDSAKeyParameters
              org.bouncycastle.crypto.params.MLDSAPrivateKeyParameters

All Implemented Interfaces:
  CipherParameters

public class MLDSAPrivateKeyParameters
extends MLDSAKeyParameters

Field Summary
`static int` | `BOTH`
`static int` | `EXPANDED_KEY`
`static int` | `SEED_ONLY`

Constructor Summary
`MLDSAPrivateKeyParameters(MLDSAParameters params, byte[] encoding)`
`MLDSAPrivateKeyParameters(MLDSAParameters params, byte[] rho, byte[] K, byte[] tr, byte[] s1, byte[] s2, byte[] t0, byte[] t1)`
`MLDSAPrivateKeyParameters(MLDSAParameters params, byte[] rho, byte[] K, byte[] tr, byte[] s1, byte[] s2, byte[] t0, byte[] t1, byte[] seed)`
`MLDSAPrivateKeyParameters(MLDSAParameters params, byte[] encoding, MLDSAPublicKeyParameters pubKey)`

Method Summary
`byte[]` | `getEncoded()`
`byte[]` | `getK()`
`MLDSAPrivateKeyParameters` | `getParametersWithFormat(int format)`
`int` | `getPreferredFormat()`
`byte[]` | `getPrivateKey()` Deprecated. Use `getEncoded()` instead.
`byte[]` | `getPublicKey()`
`MLDSAPublicKeyParameters` | `getPublicKeyParameters()`
`byte[]` | `getRho()`
`byte[]` | `getS1()`
`byte[]` | `getS2()`
`byte[]` | `getSeed()`
`byte[]` | `getT0()`
`byte[]` | `getT1()`
`byte[]` | `getTr()`

Methods inherited from class org.bouncycastle.crypto.params.MLDSAKeyParameters
`getParameters`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOTH

    public static final int BOTH

See Also:
  Constant Field Values

### SEED_ONLY

    public static final int SEED_ONLY

See Also:
  Constant Field Values

### EXPANDED_KEY

    public static final int EXPANDED_KEY

See Also:
  Constant Field Values

Constructor Detail

### MLDSAPrivateKeyParameters

    public MLDSAPrivateKeyParameters(MLDSAParameters params,
                                     byte[] encoding)

### MLDSAPrivateKeyParameters

    public MLDSAPrivateKeyParameters(MLDSAParameters params,
                                     byte[] rho,
                                     byte[] K,
                                     byte[] tr,
                                     byte[] s1,
                                     byte[] s2,
                                     byte[] t0,
                                     byte[] t1)

### MLDSAPrivateKeyParameters

    public MLDSAPrivateKeyParameters(MLDSAParameters params,
                                     byte[] rho,
                                     byte[] K,
                                     byte[] tr,
                                     byte[] s1,
                                     byte[] s2,
                                     byte[] t0,
                                     byte[] t1,
                                     byte[] seed)

### MLDSAPrivateKeyParameters

    public MLDSAPrivateKeyParameters(MLDSAParameters params,
                                     byte[] encoding,
                                     MLDSAPublicKeyParameters pubKey)

Method Detail

### getParametersWithFormat

    public MLDSAPrivateKeyParameters getParametersWithFormat(int format)

### getPreferredFormat

    public int getPreferredFormat()

### getEncoded

    public byte[] getEncoded()

### getK

    public byte[] getK()

### getPrivateKey

    public byte[] getPrivateKey()

  Deprecated. Use `getEncoded()` instead.

### getPublicKey

    public byte[] getPublicKey()

### getSeed

    public byte[] getSeed()

### getPublicKeyParameters

    public MLDSAPublicKeyParameters getPublicKeyParameters()

### getRho

    public byte[] getRho()

### getS1

    public byte[] getS1()

### getS2

    public byte[] getS2()

### getT0

    public byte[] getT0()

### getT1

    public byte[] getT1()

### getTr

    public byte[] getTr()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD